Subject: Re: About --staged ang --cached

From: Junio C Hamano <[email-masked]>
Date: Wed, 10 Dec 2025 08:06:19 +0900

Lucas Seiki Oshiro <[email-masked]> writes:

> Do you think that it would be relevant to add --staged to the other
> commands just like [2] did to git-diff? Perhaps this is just a personal
> issue, but I find it curious that those commands still have a flag named
> after an obsolete name while newer commands are using --staged.

As long as "Only in the index" aspect of the name is kept, I do not
think the exact phrasing matters all that match.  The distinction
between "apply --cached" vs "apply --index" must be expressable even
if you swap "--cached" with something else.

Would it be simpler to remove the label "obsoleted" from the name,
and remove the "--staged" synonym?